$(document).ready(function () {
   // SalesByStore();
   Table('tbl_salesByStore');
    $('#txt_date').on('change', function () {
        var value = this.value;
        SalesByStore(value,null);
    });
    $('#txtWeek').on('change', function () {
        var value = this.value;
        SalesByStore(null,value);
    });
    
});
function SalesByStore(fecha,semana){
    var nameTabla = "tbl_salesByStore";
    DestroyTable(nameTabla);
    //var valor = '2022-08-28';
    var datos = new FormData();
    var dato = "";
    if(fecha){
        dato = '{"fecha":"' + fecha + '",';
        dato += '"year":"null",';       
        dato += '"week":"null"}';    
    }
    else{
        dato = '{"fecha":"null",';
        dato += '"year":"' + semana.split('-')[0] + '",';       
        dato += '"week":"' + semana.split('W')[1] + '"}';                            
    }    
    datos.append("GetSalesByStore_", dato);
    // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
    $.ajax({
      url: "ajax/ventas.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      error: function (xhr) {
        //overlay('Desbloquear');
        alertify.dismissAll();
        alertify.error("Ocurrio un error!");
    },
      success: function(respuesta) {
        var print = "";
        var print2 = "";
        for (var i = 0; i < respuesta.length; i++) {
            print += "<tr>";
            //print += "<td><label><input type='checkbox' class='flat-red'></label></td>";
           
            print += "<td>" + respuesta[i]['name'] + "</td>";
            print += "<td> <span class='badge  bg-label-success'> " + respuesta[i]['Ventas'] + "</span></td>";
            print += "<td>" + respuesta[i]['Week'] + "</td>";
                    
            print += "<td>" + respuesta[i]['_year'] + "</td>";
          

            print += "<td>";
                print += "<div class='btn-group'>";           
                   print += "<a class='btn btn-sm btn-icon item-edit' id_Material= " + respuesta[i]['Id'] + "><i class='text-primary ti ti-pencil'></i></a>";
                print += "</div>";
            print += "</td>";   

            print += "</tr>";                    
            // print2 += '<div class="card col-xl-2 col-md-4 col-6 mb-4">';
            // print2 += '<div class="card-header pb-0">';
            // print2 += '<h5 class="card-title mb-0">';
            // print2 += '</h5>';
            // print2 += '</h5>';
            // print2 += "" + respuesta[i]['name'] + "";
            // print2 += '<small class="text-muted">Last Year</small>';
            // print2 += '</div>';
            // print2 += '<div id="salesLastYear"></div>';
            // print2 += '<div class="card-body pt-0">';
            // print2 += '<div class="d-flex justify-content-between align-items-center mt-3 gap-3">';
            // print2 += '<h4 class="mb-0">';
            // print2 += " "+ respuesta[i]['Ventas']+" ";
            // print2 += '</h4>';
            // print2 += '<small class="text-danger">-16.2%</small>';
            // print2 += '</div>';
            // print2 += '</div>';
            // print2 += ' </div>';  
          
        }
      
        $("#print_SalesByStore").html(print);
        Table(nameTabla);
      }
    });
}
function DestroyTable(tabla) {
    var table = $('#' + tabla).DataTable();
    table.destroy();
}
function Table(table) {
    $('#' + table).DataTable({
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningún dato disponible en esta tabla",
            "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Último",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
        "lengthMenu": [[5, 10, 20, -1], [5, 10, 20, "Todos"]]

    });
}
